Skip to main content

Serviceability Check API:

Description: Checks courier availability for pickup and delivery pincodes.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_serviceabilty_check
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_serviceabilty_check' \
--header 'rapidshyp-token: YOUR_TOKEN_HERE' \
--header 'Content-Type: application/json' \
--data '{
"pickup_pincode": "122003",
"delivery_pincode": "122003",
"cod": true,
"is_to_pay": false,
"is_appointment_based_delivery": false,
"total_order_value": 10000,
"is_csd": true,
"dod": false,
"is_malldelivery": false,
"box_details": [
{
"number_of_boxes": 1,
"dead_weight_per_box": 10,
"length": 1,
"breadth": 1,
"height": 1
}
]
}'

Request Parameters:


ParameterRequiredRemarkValidation
pickup_pincodeYesPickup pincode6 digits
delivery_pincodeYesDelivery pincode6 digits
codYesCOD flagtrue/false
is_to_payYesTo-Pay shipment flagtrue/false
is_appointment_based_deliveryYesAppointment based delivery flagtrue/false
total_order_valueYesOrder valueNumeric
is_csdYesCSD (Canteen Stores Department) flagtrue/false
dodYesDraft on Delivery flagtrue/false
is_malldeliveryYesMall delivery flagtrue/false
box_details.number_of_boxesYesNumber of boxesInteger (>0)
box_details.dead_weight_per_boxYesWeight per box (kg)Numeric (>0)
box_details.lengthYesLength of boxNumeric (>0)
box_details.breadthYesBreadth of boxNumeric (>0)
box_details.heightYesHeight of boxNumeric (>0)

Response:

JSON

{
"status": true,
"remark": "Success",
"serviceable_courier_list": [
{
"courier_code": "789",
"courier_name": "Om Logistics Express B2B",
"parent_courier_name": "OM LOGISTICS",
"cutoff_time": "13:00",
"freight_mode": "Surface",
"max_shipment_weight": 1500000.0,
"min_shipment_weight": 50000.0,
"total_freight": 4970.75,
"edd": "22-04-2026"
},
{
"courier_code": "456",
"courier_name": "Om Logistics B2B",
"parent_courier_name": "OM LOGISTICS",
"cutoff_time": "13:00",
"freight_mode": "Surface",
"max_shipment_weight": 7000000.0,
"min_shipment_weight": 5000.0,
"total_freight": 2645.56,
"edd": "24-04-2026"
},
{
"courier_code": "123",
"courier_name": "Om Logistics Air B2B",
"parent_courier_name": "OM LOGISTICS",
"cutoff_time": "13:00",
"freight_mode": "Air",
"max_shipment_weight": 1500000.0,
"min_shipment_weight": 5000.0,
"total_freight": 4224.4,
"edd": "22-04-2026"
}
]
}